"use strict";
/**
 * (C) Symbol Contributors 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
// internal dependencies
var ExampleAddContactQR_1 = require("./ExampleAddContactQR");
var ExampleExportAccountQR_1 = require("./ExampleExportAccountQR");
var ExampleExportMnemonicQR_1 = require("./ExampleExportMnemonicQR");
var ExampleRequestTransactionQR_1 = require("./ExampleRequestTransactionQR");
console.log("Starting examples for nem2-qr-library");
console.log("");
(function () { return __awaiter(void 0, void 0, void 0, function () {
    var contactQR, accountQR, mnemonicQR, transactionQR;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                // -----------------------------
                // EX 1: Contact QR Code example
                // -----------------------------
                console.log("1) Creating Contact QR-Code");
                console.log("");
                contactQR = new ExampleAddContactQR_1.ExampleAddContactQR();
                return [4 /*yield*/, contactQR.execute()];
            case 1:
                _a.sent();
                console.log("");
                // -----------------------------
                // EX 2: Account QR Code example
                // -----------------------------
                console.log("2) Creating Account QR-Code");
                console.log("");
                accountQR = new ExampleExportAccountQR_1.ExampleExportAccountQR();
                return [4 /*yield*/, accountQR.execute()];
            case 2:
                _a.sent();
                console.log("");
                // -----------------------------
                // EX 3: Mnemonic QR Code example
                // -----------------------------
                console.log("3) Creating Mnemonic QR-Code");
                console.log("");
                mnemonicQR = new ExampleExportMnemonicQR_1.ExampleExportMnemonicQR();
                return [4 /*yield*/, mnemonicQR.execute()];
            case 3:
                _a.sent();
                console.log("");
                // -----------------------------
                // EX 4: Transaction QR Code example
                // -----------------------------
                console.log("3) Creating Transaction Request QR-Code");
                console.log("");
                transactionQR = new ExampleRequestTransactionQR_1.ExampleRequestTransactionQR();
                return [4 /*yield*/, transactionQR.execute()];
            case 4:
                _a.sent();
                console.log("");
                return [2 /*return*/];
        }
    });
}); })();
//# sourceMappingURL=index.js.map